/**
 * Test for TheTmp.
 * Runs with mocha.
 */
'use strict'

const TheTmp = require('../lib/TheTmp')
const { ok, equal, throws } = require('assert')
const fs = require('fs')

describe('the-tmp', () => {
  before(() => {
  })

  after(() => {
  })

  it('Do file test', async () => {
    const tmp = new TheTmp()
    let created
    await tmp.while(async (filename) => {
      console.log('generated file', filename)
      created = filename
      ok(fs.statSync(filename))
    }, { prefix: 'the-test-tmp' })

    throws(() => fs.statSync(created))
  })

  it('Generate dir', async () => {
    const tmp = new TheTmp()
    let created
    await tmp.whileDir(async (dirname) => {
      console.log('generated dir', dirname)
      created = dirname
      ok(fs.statSync(dirname))
    }, { prefix: 'the-test-tmp' })

    throws(() => fs.statSync(created))
  })
})

/* global describe, before, after, it */
